Search Results for

Show / Hide Table of Contents

# Class DynamicMenuBar.DynamicMenuBarSample

##### Inheritance

System.Object
Responder
View
Toplevel
Window
DynamicMenuBar.DynamicMenuBarSample

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

Window.Title
Window.Border
Window.Add(View)
Window.Remove(View)
Window.RemoveAll()
Window.Redraw(Rect)
Window.OnCanFocusChanged()
Window.Text
Window.TextAlignment
Toplevel.Running
Toplevel.Loaded
Toplevel.Ready
Toplevel.Unloaded
Toplevel.Activate
Toplevel.Deactivate
Toplevel.ChildClosed
Toplevel.AllChildClosed
Toplevel.Closing
Toplevel.Closed
Toplevel.ChildLoaded
Toplevel.ChildUnloaded
Toplevel.Resized
Toplevel.AlternateForwardKeyChanged
Toplevel.OnAlternateForwardKeyChanged(Key)
Toplevel.AlternateBackwardKeyChanged
Toplevel.OnAlternateBackwardKeyChanged(Key)
Toplevel.QuitKeyChanged
Toplevel.OnQuitKeyChanged(Key)
Toplevel.Create()
Toplevel.CanFocus
Toplevel.Modal
Toplevel.MenuBar
Toplevel.StatusBar
Toplevel.IsMdiContainer
Toplevel.IsMdiChild
Toplevel.OnKeyDown(KeyEvent)
Toplevel.OnKeyUp(KeyEvent)
Toplevel.ProcessKey(KeyEvent)
Toplevel.ProcessColdKey(KeyEvent)
Toplevel.PositionToplevel(Toplevel)
Toplevel.MouseEvent(MouseEvent)
Toplevel.WillPresent()
Toplevel.MoveNext()
Toplevel.MovePrevious()
Toplevel.RequestStop()
Toplevel.RequestStop(Toplevel)
Toplevel.PositionCursor()
Toplevel.GetTopMdiChild(Type, String[])
Toplevel.ShowChild(Toplevel)
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.CanFocusChanged
View.EnabledChanged
View.VisibleChanged
View.HotKeyChanged
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Attribute, Attribute)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.Move(Int32, Int32, Boolean)
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnEnter(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
View.AddRune(Int32, Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.DrawContentComplete
View.OnDrawContentComplete(Rect)
View.SetFocus()
View.KeyPress
View.InvokeKeybindings(KeyEvent)
View.AddKeyBinding(Key, Command)
View.ReplaceKeyBinding(Key, Key)
View.ContainsKeyBinding(Key)
View.ClearKeybindings()
View.ClearKeybinding(Key)
View.ClearKeybinding(Command)
View.AddCommand(Command, Func<Nullable<Boolean>>)
View.GetSupportedCommands()
View.GetKeyFromCommand(Command)
View.ProcessHotKey(KeyEvent)
View.KeyDown
View.KeyUp
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.Enabled
View.Visible
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.OnEnabledChanged()
View.OnVisibleChanged()
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
View.GetNormalColor()
View.GetTopSuperView()
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog.Scenarios

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuBarSample : Window, IDisposable, ISupportInitializeNotification, ISupportInitialize

### Constructors

#### DynamicMenuBarSample(ustring)

##### Declaration

    public DynamicMenuBarSample(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
NStack.ustring | title |

### Properties

#### DataContext

##### Declaration

    public DynamicMenuBar.DynamicMenuItemModel DataContext { get; set; }

##### Property Value

Type | Description
--- | ---
DynamicMenuBar.DynamicMenuItemModel |

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize